gSOAP UDDI v2: uddi2__bindingTemplate Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__bindingTemplate Class Reference

Schema urn:uddi-org:api_v2:"bindingTemplate". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__bindingTemplate:

[legend]
List of all members.

## Public Attributes
std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded.
uddi2__tModelInstanceDetails * | tModelInstanceDetails
| Required element.
uddi2__accessPoint * | accessPoint
| Element reference "urn:uddi-org:api_v2":accessPoint.
uddi2__hostingRedirector * | hostingRedirector
| Required element.
uddi2__serviceKey | serviceKey
| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey.
uddi2__bindingKey | bindingKey
| Attribute bindingKey of type "urn:uddi-org:api_v2":bindingKey.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"bindingTemplate".

## Member Data Documentation

uddi2__accessPoint* uddi2__bindingTemplate::accessPoint

| Element reference "urn:uddi-org:api_v2":accessPoint. Required element

uddi2__bindingKey uddi2__bindingTemplate::bindingKey

| Attribute bindingKey of type "urn:uddi-org:api_v2":bindingKey. Required attribute

std::vector<uddi2__description* > uddi2__bindingTemplate::description

| Vector of uddi2__description* with length 0..unbounded.

uddi2__hostingRedirector* uddi2__bindingTemplate::hostingRedirector

| Required element.

uddi2__serviceKey uddi2__bindingTemplate::serviceKey

| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey. Optional attribute

struct soap* uddi2__bindingTemplate::soap

| A handle to the soap struct context that manages this class instance.

uddi2__tModelInstanceDetails* uddi2__bindingTemplate::tModelInstanceDetails

| Required element.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h